Subject: bug#6693: 24.0.50; font-lock-(builtin|doc) faces are *way* too close

From: "Drew Adams" <[email-masked]>
Date: Wed, 21 Jul 2010 10:32:14 -0700

emacs -Q

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-07-19 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'
 
Look at any `defcustom'.  The doc string and the keywords (e.g. :type)
appear to have the same face.  In fact, they are only very slightly
different.
 
This is a regression wrt 23.1 (and prior).  Please revert this mistake.
There is no reason for these two faces to be so close.
 
Previously, `font-lock-builtin-face' had an Orchid foreground.  That was
*much* better than having two faces that are essentially
indistinguishable.